Library Version 18.1.40

Db::get_encrypt_flags()
Prev | Chapter 2. The Db Handle | Next

## Db::get_encrypt_flags()

    #include <db_cxx.h>

    int
    Db::get_encrypt_flags(u_int32_t *flagsp);

The `Db::get_encrypt_flags()` method returns the encryption flags. This flag can be set using the Db::set_encrypt() method.

The `Db::get_encrypt_flags()` method may be called at any time during the life of the application.

The `Db::get_encrypt_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `Db::get_encrypt_flags()` method returns the encryption flags in flagsp.

### Class

Db

### See Also

Database and Related Methods, Db::set_encrypt()

Prev | Up | Next
Db::get_dbname() | Home | Db::get_errfile()